KIconButton Class Reference

`#include <kicondialog.h>`

Inherits QPushButton.

## Signals

void | iconChanged (QString icon)

## Public Member Functions

| KIconButton (QWidget *parent=0L, const char *name=0L)
| KIconButton (KIconLoader *loader, QWidget *parent, const char *name=0L)
| ~KIconButton ()
void | setStrictIconSize (bool b)
bool | strictIconSize () const
void | setIconType (KIcon::Group group, KIcon::Context context, bool user=false)
void | setIcon (const QString &icon)
void | resetIcon ()
QString | icon () const
void | setIconSize (int size)
int | iconSize () const

## Properties

QString | icon
int | iconSize
bool | strictIconSize

## Detailed Description

A pushbutton for choosing an icon.

Pressing on the button will open a KIconDialog for the user to select an icon. The current icon will be displayed on the button.

See also
  KIconDialog A push button that allows selection of an icon.

Definition at line 257 of file kicondialog.h.

## Constructor & Destructor Documentation

KIconButton::KIconButton | ( | QWidget * | parent = `0L`,
|  | const char * | name = `0L`
| ) |  |

Constructs a KIconButton using the global iconloader.

Definition at line 660 of file kicondialog.cpp.

KIconButton::KIconButton | ( | KIconLoader * | loader,
|  | QWidget * | parent,
|  | const char * | name = `0L`
| ) |  |

Constructs a KIconButton using a specific KIconLoader.

Definition at line 666 of file kicondialog.cpp.

KIconButton::~KIconButton | ( |  | ) |

Destructs the button.

Definition at line 685 of file kicondialog.cpp.

## Member Function Documentation

QString KIconButton::icon | ( |  | ) | const

inline

Returns the name of the selected icon.

Definition at line 309 of file kicondialog.h.

void KIconButton::iconChanged | ( | QString | icon | ) |

signal

Emitted when the icon has changed.

int KIconButton::iconSize | ( |  | ) | const

Returns the iconsize set via setIconSize() or 0, if the default iconsize will be used.

void KIconButton::resetIcon | ( |  | ) |

Resets the icon (reverts to an empty button).

Definition at line 733 of file kicondialog.cpp.

void KIconButton::setIcon | ( | const QString & | icon | ) |

Sets the button's initial icon.

Definition at line 718 of file kicondialog.cpp.

void KIconButton::setIconSize | ( | int | size | ) |

Sets the size of the icon to be shown / selected.

See also
  KIcon::StdSizes
  iconSize

Definition at line 701 of file kicondialog.cpp.

void KIconButton::setIconType | ( | KIcon::Group | group,
|  | KIcon::Context | context,
|  | bool | user = `false`
| ) |  |

Sets the icon group and context.

Use KIcon::NoGroup if you want to allow icons for any group in the given context.

Definition at line 711 of file kicondialog.cpp.

void KIconButton::setStrictIconSize | ( | bool | b | ) |

Sets a strict icon size policy for allowed icons.

When true, only icons of the specified group's size in setIconType are allowed, and only icons of that size will be shown in the icon dialog.

Definition at line 691 of file kicondialog.cpp.

bool KIconButton::strictIconSize | ( |  | ) | const

Returns true if a strict icon size policy is set.

The documentation for this class was generated from the following files:

- kicondialog.h
- kicondialog.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys